Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
NegotiationBrowserDeleteForm::getQuestion function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Returns the question to ask the user.
NegotiationBrowserDeleteForm::submitForm function core/modules/language/src/Form/NegotiationBrowserDeleteForm.php Form submission handler.
NegotiationBrowserForm class core/modules/language/src/Form/NegotiationBrowserForm.php Configure the browser language negotiation method for this site.
NegotiationBrowserForm.php file core/modules/language/src/Form/NegotiationBrowserForm.php
NegotiationBrowserForm::$languageManager property core/modules/language/src/Form/NegotiationBrowserForm.php The configurable language manager.
NegotiationBrowserForm::buildForm function core/modules/language/src/Form/NegotiationBrowserForm.php Form constructor.
NegotiationBrowserForm::create function core/modules/language/src/Form/NegotiationBrowserForm.php Instantiates a new instance of this class.
NegotiationBrowserForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationBrowserForm.php Gets the configuration names that will be editable.
NegotiationBrowserForm::getFormId function core/modules/language/src/Form/NegotiationBrowserForm.php Returns a unique string identifying the form.
NegotiationBrowserForm::language_get_browser_drupal_langcode_mappings function core/modules/language/src/Form/NegotiationBrowserForm.php Retrieves the browser's langcode mapping configuration array.
NegotiationBrowserForm::submitForm function core/modules/language/src/Form/NegotiationBrowserForm.php Form submission handler.
NegotiationBrowserForm::validateForm function core/modules/language/src/Form/NegotiationBrowserForm.php Form validation handler.
NegotiationBrowserForm::__construct function core/modules/language/src/Form/NegotiationBrowserForm.php Constructs a \Drupal\system\ConfigFormBase object.
NegotiationConfigureForm class core/modules/language/src/Form/NegotiationConfigureForm.php Configure the selected language negotiation method for this site.
NegotiationConfigureForm.php file core/modules/language/src/Form/NegotiationConfigureForm.php
NegotiationConfigureForm::$blockManager property core/modules/language/src/Form/NegotiationConfigureForm.php The block manager.
NegotiationConfigureForm::$blockStorage property core/modules/language/src/Form/NegotiationConfigureForm.php The block storage.
NegotiationConfigureForm::$languageManager property core/modules/language/src/Form/NegotiationConfigureForm.php The language manager.
NegotiationConfigureForm::$languageTypes property core/modules/language/src/Form/NegotiationConfigureForm.php Stores the configuration object for language.types.
NegotiationConfigureForm::$negotiator property core/modules/language/src/Form/NegotiationConfigureForm.php The language negotiator.
NegotiationConfigureForm::$themeHandler property core/modules/language/src/Form/NegotiationConfigureForm.php The theme handler.
NegotiationConfigureForm::buildForm function core/modules/language/src/Form/NegotiationConfigureForm.php Form constructor.
NegotiationConfigureForm::configureFormTable function core/modules/language/src/Form/NegotiationConfigureForm.php Builds a language negotiation method configuration table.
NegotiationConfigureForm::create function core/modules/language/src/Form/NegotiationConfigureForm.php Instantiates a new instance of this class.
NegotiationConfigureForm::disableLanguageSwitcher function core/modules/language/src/Form/NegotiationConfigureForm.php Disables the language switcher blocks.
NegotiationConfigureForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationConfigureForm.php Gets the configuration names that will be editable.
NegotiationConfigureForm::getFormId function core/modules/language/src/Form/NegotiationConfigureForm.php Returns a unique string identifying the form.
NegotiationConfigureForm::submitForm function core/modules/language/src/Form/NegotiationConfigureForm.php Form submission handler.
NegotiationConfigureForm::__construct function core/modules/language/src/Form/NegotiationConfigureForm.php Constructs a NegotiationConfigureForm object.
NegotiationMiddleware class core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Provides a middleware to determine the content type upon the accept header.
NegotiationMiddleware.php file core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php
NegotiationMiddleware::$app property core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php The wrapped HTTP kernel.
NegotiationMiddleware::$formats property core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Contains a hashmap of format as key and mimetype as value.
NegotiationMiddleware::getContentType function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Gets the normalized type of a request.
NegotiationMiddleware::handle function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php
NegotiationMiddleware::registerFormat function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Registers a format for a given MIME type.
NegotiationMiddleware::__construct function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Constructs a new NegotiationMiddleware.
NegotiationMiddlewareTest class core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php @coversDefaultClass \Drupal\Core\StackMiddleware\NegotiationMiddleware[[api-linebreak]]
@group NegotiationMiddleware
NegotiationMiddlewareTest.php file core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Contains \Drupal\Tests\Core\StackMiddleware\NegotiationMiddlewareTest.
NegotiationMiddlewareTest::$app property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::$contentNegotiation property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::setUp function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::testAjaxIframeUpload function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method with AJAX iframe upload.
NegotiationMiddlewareTest::testFormatViaQueryParameter function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the specifying a format via query parameters gets used.
NegotiationMiddlewareTest::testHandle function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Test that handle() correctly hands off to sub application.
NegotiationMiddlewareTest::testSetFormat function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php @covers ::registerFormat[[api-linebreak]]
NegotiationMiddlewareTest::testUnknowContentTypeButAjaxRequest function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found but it's an AJAX request.
NegotiationMiddlewareTest::testUnknowContentTypeReturnsNull function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found.
NegotiationSelectedForm class core/modules/language/src/Form/NegotiationSelectedForm.php Configure the selected language negotiation method for this site.
NegotiationSelectedForm.php file core/modules/language/src/Form/NegotiationSelectedForm.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.